<?php

/*
 * Copyright (c) 2018 Earworks.
 * Codeigniter Project Template Modification
 * Please contact our email for more information :
 *  contact@earworks.co.id
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Description of Migration_Add_configs
 *
 * @author Fajar Dwi Rianto <fajar@earworks.co.id>
 * @since 1.0
 */
class Migration_Add_configs extends CI_Migration {

    public function up() {
        echo "Start Configs Table Migration \n";
        $this->dbforge->add_field(array(
            'configid' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'configname' => array(
                'type' => 'VARCHAR',
                'constraint' => '255',
            ),
            'configvalue' => array(
                'type' => 'VARCHAR',
                'constraint' => '255',
                'null' => true
            ),
            'created' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            ),
            'modified' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true
            )
        ));
        $this->dbforge->add_key('configid', TRUE);
        if ($this->dbforge->create_table('configs')) {
            echo "Status : Success \n";
        } else {
            echo "Status : FAILED \n";
        }
    }

    public function down() {
        $this->dbforge->drop_table('configs');
    }

}
